Recent Posts

Pages: 1 2 [3] 4 5 ... 10
21
AutoLISP (Vanilla / Visual) / Re: Layouts and ObjectDBX
« Last post by BIGAL on July 02, 2022, 10:41:55 PM »
Maybe something like this, but for the other document.

(setq tabs (vla-get-Layouts (vla-get-activedocument (vlax-get-acad-object))))



22
AutoLISP (Vanilla / Visual) / How to draw Solid3D from
« Last post by d2010 on July 02, 2022, 06:40:40 PM »
The Blender3D obj file, is very 3D solid.
I need draw these files (no need solid/s, only optional with solid/s)
Can you simulate the horse.obj with Vlisp?
(e.g with you can use PolyLine3d)
Code: [Select]
v 1.783787 -6.674918 0.000000
v 1.832147 -6.834074 0.000000
v 1.848528 -6.999606 0.000000
v 1.832301 -7.165153 0.000000
v 1.784088 -7.324354 0.000000
23
AutoLISP (Vanilla / Visual) / Re: Layouts and ObjectDBX
« Last post by roy_043 on July 02, 2022, 07:29:23 AM »
Layouts -> Layout -> Block property
24
AutoLISP (Vanilla / Visual) / Re: Layouts and ObjectDBX
« Last post by It's Alive! on July 01, 2022, 09:40:07 PM »
How are you getting the collection of entities?
Not sure if itís exposed to lisp, but you should be able to get the owner Id and find the layout block table record it belongs to
25
CAD General / Re: Scale Objects
« Last post by danAllen on July 01, 2022, 04:43:23 PM »
Align command with scale option?
26
CAD General / Scale Objects
« Last post by Fabricio28 on July 01, 2022, 02:43:58 PM »
Hi friends

I have two blocks and I'd like to make B just like A.

Is there any autocad command to do that? Maybe scale by reference points.

Example file attached.

Thanks
27
CAD General / Re: Array help
« Last post by Fabricio28 on July 01, 2022, 01:01:37 PM »
Thank you for the help all of you guys!

But isn't working. No worries!

Regards
Fabricio
28
AutoLISP (Vanilla / Visual) / Layouts and ObjectDBX
« Last post by Pepe on July 01, 2022, 08:21:10 AM »
I'm developing an small application using ObjectDBX to automatically write the index of a drawing collection to a .txt file (pretty useful when you have more than 100 drawings...).

Titles and numbering are always Mtext (two) with same insertion points throughout the collection and always in paper space.

I've managed to do it by comparing the entities in this space to meet these two conditions (be mtext and same insertion points). It works fine when there is a single layout in the drawing.

I find the problem when the dwg contains several layouts because only are returned data from those entities existing in the active layout when it was saved.

The question is: Is there any way to get the entities of each layout's paper space by means of ObjectDBX?
29
thanks, i already try. but the lisp cant do in multiple drawing at once. if there have lisp that can do job like my attachments?
30
.NET / Re: Select Parcels by polyline
« Last post by sdunn on June 30, 2022, 09:32:36 PM »
Jeff,

Thank you for the help with accomplishing the task.  No need for you to work on it.

Thank you again.

Stacy
Pages: 1 2 [3] 4 5 ... 10